Subject: Re: bug#75192: [PATCH] Update fontification for attribute values in heex-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2025 11:06:57 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 2 Jan 2025 02:41:12 -0600
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Stefan Kangas <[email-masked]>
> >> Date: Thu, 2 Jan 2025 01:45:22 -0600
> >> Cc: Eli Zaretskii <[email-masked]>, Yuan Fu <[email-masked]>
> >>
> >> Wilhelm Kirschbaum <[email-masked]> writes:
> >>
> >> > This updates heex-ts-mode to use font-lock-string-face to be consistent
> >> > with html-ts-mode on attribute values.
> >>
> >> Should we install this change on master or emacs-30?  Eli, Yuan, WDYT?
> >
> > Are we all in agreement with the change itself?  Why should an
> > attribute be highlighted as a string?
> 
> I'm not familiar with HEEx and can't share a useful opinion, but FWIW, I
> simply noted that the code directly above the change said
> 
>     :feature 'heex-string
> 
> which is why I assumed that using a string face should make sense.

So we think that the current face is just a typo?